LSNS(8)

NAZWA
lsns - wypisuje przestrzenie nazw

SKŁADNIA

lsns [options] [namespace ID]

OPIS

lsns wypisuje informacje o wszystkich aktualnie dostępnych przestrzeniach nazw albo o podanej przestrzeni_nazw. Identyfikatorem przestrzeni_nazw jest numer i-węzła.

Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwany tryb wyjścia (--tree lub --list) oraz kolumny za pomocą opcji --output wraz listą kolumn, w środowiskach, gdzie wymagane jest stabilne wyjście.

Kolumna NSFS, wypisywana gdy podano net przy opcji --type, jest wyjątkowa; korzysta z komórek wielowierszowych. Opcja --nowrap przełączy ją na reprezentację jednowierszową, korzystającą z "," jako separatora.

Proszę zauważyć, że lsns odczytuje informacje bezpośrednio z systemu plików /proc i w przypadku użytkowników innych niż root może zwrócić niepełne informacje. Bieżący system plików /proc może nie być dzielony oraz może być zależny od przestrzeni nazw PID (zob. unshare --mount-proc, aby poznać więcej szczegółów). lsns może nie być w stanie dostrzec trwałych przestrzeni nazw bez procesów, w przypadku gdy przestrzeń nazw jest utrzymywana przez korzystające z podpięcia montowanie /proc/pid/ns/typ.

OPCJE

-H, --list-columns
    List the columns that can be specified with the --output option. Can be used with --json or --raw to get the list in a machine-readable format.

-J, --json
    Używa formatu wyjściowego JSON.

-l, --list
    Używa formatu wyjściowego listy.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

    Domyślną listę kolumn można rozszerzyć, jeśli listę poda się w formacie +lista (np. lsns -o +PATH).

--output-all
    Wypisuje wszystkie dostępne kolumny.

-P, --persistent
    Wyświetla tylko przestrzenie nazw bez procesów (inaczej: trwałe przestrzenie nazw) utworzone przez korzystające z podpięcia montowanie plików /proc/pid/ns/typ do ścieżki w systemie plików.

-p, --task PID
    Wypisuje tylko przestrzenie nazw utrzymywane przez proces o identyfikatorze PID.

-Q*, --filter wyrażenie
    Wypisuje tylko przestrzenie nazw spełniające warunki określone w wyrażeniu.

    Funkcja ta jest EKSPERYMENTALNA. Zob. też scols-filter(5). Oto przykład wyłączający nazwę użytkownika root, lecz wypisujący każdą przestrzeń nazw, do której należy więcej niż jeden proces:

        lsns --filter 'USER != "root" and NPROCS > 1'

-r, --raw
    Używa surowego formatu wyjściowego.

-t, --type typ
    Wyświetla wyłącznie podany typ przestrzeni nazw. Obsługiwanymi typami są mnt, net, ipc, user, pid, uts, cgroup i time. Opcji można użyć wielokrotnie.

-u, --notruncate
    Nie przycina tekstu w kolumnach.

-W, --nowrap
    Nie korzysta z tekstu wielowierszowego w kolumnach.

-T, --tree[=odn]
    Korzysta z drzewiastego formatu wyjściowego. Jeśli jako odn podano process, wypisuje drzewo/drzewa procesów w każdej przestrzeni nazw. Jest to domyślne, gdy nie poda się --tree. Jeśli poda się parent, drzewo/drzewa są tworzone dla relacji rodzic/dziecko. Jeśli poda się owner, wypisywane drzewo/drzewa są tworzone dla relacji właściciel/posiadany. Gdy nie poda się odn, domyślnie używany jest owner

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

Narzędzie lsns kończy pracę z jedną z następujących wartości:

0
    Powodzenie.

1
    Błąd ogólny.

2
    Ioctl było nieznane jądru.

ŚRODOWISKO

LSNS_DEBUG=all
    włącza wyjście debugowania lsns.

LIBSMARTCOLS_DEBUG=all
    włącza wyjście debugowania libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    używa widocznych znaków wypełnienia.

AUTORZY

ZOBACZ TAKŻE

nsenter(1), unshare(1), clone(2), namespaces(7), ioctl_ns(2), ip-netns(8), scols-filter(5)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie lsns jest częścią pakietu util-linux, który można pobrać ze strony